Subject: Re: bug#23474: Gzip and CFLAGS

From: Paul Eggert <[email-masked]>
Date: Fri, 6 May 2016 19:52:26 -0700

Tom Smith wrote:

>             Currently, I am looking at “CFLAGS= -O”.

You don't mention which gzip version. If you haven't already, please try the
current version, gzip 1.8. Its 'configure' script should default to -O2
optimization for GCC, and to no optimization for other compilers. To some extent
this is arbitrary. Tweaking this further is up to you. For example,
-march=native is better for some usages but not for others, which is why it is
not the default.